Hello everyone,
I try to write journal with uses Hole and Thread Callout and I have some problem:
When I use it I NX filtr have value: Feature (red elipse):
And I can select every feature (if part is Full Load).
But when I try use journal with Fuction UserSelectFeature( and filtr...
Hello,
many time ago I wrote journal and I used in then some function:
Dim theUfSession As UFSession = UFSession.GetUFSession()
Function GetArcCenter(edge1 As Edge) As Double()
Dim centerCoords As Double()
Try
Dim edgeTag As NXOpen.Tag = edge1.Tag...
Hello,
I have question about Hole:
If I want create Hole with fit (p.ex. H7) I need to select Screw Clerance and select posiontion from my own list with interesting tolerance.
And it's work - in drawing, when I select Hole and Thread Callouts dimension is with my tolerance (strange - it's...
Hello,
is it possible to add number of holes on drafting with "hole and thread callouts"?
Automatically of course.
How add its with hand, I know.
Best regrads
MANok
NX2027 - NX2406
TC14 - TC2412
Hello,
I was changed two monitors to one 45 inch.
Before I had NX windows on firs monitor and part, assembly and constraint navigator on second.
And tab bar with icons occupied all width of first monitor.
Now tabs bar with icons is on left part of monitor.
Is it possible to change tab bar from...
Hello,
is it possible check part list is update or no?
I was looking in PartListBulider and in UFTabnot, but I was find only two option:
Update and EnableAutomaticUpdate
Best regards
MANok
NX2026
TC14
Hello,
I try get information about all holes and their paramters in model with journal.
And I have litte problem with holes creates with pattern feature.
I dont know how get information about parent feature from pattern:
Public Function ReadList(featureList As List(Of Features.Feature)) As...
Hello,
I need location of point where I select with mouse click in drafting mode.
I think about point in empty space, without edges, curves, face, views etc.
Maybe somebody can help me.
Best regards
MANok
NX2027
TC14
Hello everybody,
Is it possible to select attribute material with expression?
I want change material after change dimension of part.
Maybe somebody was do with it?
Best regards
MANok
NX2027
TC14
Hello,
I try create views in drafting.
I was recorded two journal - first in Native NX, second in NX by TeamCenter.
I have problem with one position:
in Native:
baseViewBuilder1.Style.ViewStyleBase.PartName = "D:\MyProject\TestProject\Testfile_A.prt"
I change this to...
Hello,
I need a litte help:
I add atributte ENDTYPE to BodyFeature:
Private Sub AddAttribute(nxObject2 As NXObject, endAttr As String, isSubstract As Boolean)
If isSubstract = False Then
Dim bodyFeature1 As NXOpen.Features.BodyFeature = CType(nxObject2...
Hello,
I have workpart and component in this assembly. Component has Symbolic Thread.
I want add concentric constraint between edge of start face of component, and selected edge in workpart.
Journal select compoenent with function SelectComponent from...
Hello Everyone,
I have very intresting problem, and I can't find solution:
I add attribute to threaded hole:
Dim nXObject3 As NXOpen.NXObject = Nothing
nXObject3 = holePackageBuilder1.Commit()
holePackageBuilder1.Destroy()
Dim feature As Features.Feature =...
Hello,
I have journal for create thread with holePackageBuilder (record by NX and edited by me).
Sub Create_thread(myPointTag As Tag, startPointTag As Tag, ThreadDepth As String, ThreadSize As String, TapDrillDiameter As String, ThreadedHoleDepth As String, thread_type As String...
Hello EveryOne,
I need information about PartsLists in my workpart - which one have enable AutomaticUpdate (and which have dissable).
For table it's easy - p.ex.:
For Each section As Annotations.TableSection In workPart.Annotations.TableSections
Dim objects1(0) As...
Hello everyone,
I have code for select all unsuppres part in assembly:
Sub getAllComponents2(ByVal comp As NXOpen.Assemblies.Component, ByRef allComp As List(Of compDescr))
Dim c As ComponentAssembly = CType(comp.Prototype, Part).ComponentAssembly
Dim activeArr As Arrangement...
Hello,
I have problem with check which components are suppressed in active arrangement in assembly.
I try with this, but without positive results:
Imports NXOpen.UF
Imports NXOpen.Assemblies
Imports NXOpen.Assemblies.Component
Module Arrangement_tester
Dim arrtheSession As Session =...
Hello
I try write journal to print drawing from NX.
From few years I have 6 journals for print on size A4, A3, A2, A1 on role 24 inch, A1 on role 36 inch and A0.
And I try join all journals to one.
My one problem is check actual size of role in printer.
I have ploter\printer HP designjet...
Hello,
some times ago I found in Iternet function for select table note:
Function select_a_tabular_note(ByRef tabular_note As NXOpen.Tag) As Selection.Response
Dim message As String
Dim title As String = "Select a tabular note"
Dim scope As Integer =...
Hello everyone,
I have idea, and I don't know it's possible.
I have journal to make something with specificial parameters (select in WinForm).
Form has three buttons: Cancel, Ok ans Apply.
Is it possible to add to button Apply command to start this journal again after end of instruction in...